Subject: Re: gcc 3.11-2 link error with stdc++
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jul 2002 10:49:24 +0900
Newsgroups: gmane.os.cygwin

Hi there,

Yes, I've looked at the assembler output and run nm on stdlib and on my
executable.  The function in question doesn't exist in either, which is very
strange, as it *is* being compiled (if I place error-generating code in the
function in basic_string.tcc it produces an error as it should) .

As I mentioned, I have had a similar problem when attempting to use #pragma
interface and #pragma implementation, totally unrelated symbols and/or code
will not be written out to the object file, maybe its related?

However, the function *does* exist in the old stdlib I compiled for g++ 3.1
pre-release (March 20th version or thereabouts)

Did you/Chris compile gcc with "make bootstrap" or just a simple "make"?  I
have seen one single comment in the gcc mailing list somewhere which
mentions a similar problem to this for some other platform and the same
poster replies to himself saying he has fixed it by re-compiling with "make
bootstrap", god knows why this would make a difference?

Anyway, I am going to try to reduce the code to a size that I can post
today.

Regards
--
---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"egor duda" <[email-masked]> wrote in message
news:[email-masked]...
> Hi!
>
> Thursday, 11 July, 2002 Christopher Faylor [email-masked] wrote:
>
> CF> On Thu, Jul 11, 2002 at 08:58:42PM +0900, Dylan Cuthbert wrote:
> >>It seems any piece of code using string::replace with iterators causes a
> >>link error at the moment, this is the error I get:
> >>
> >> undefined reference to `
> >>std::basic_string<char, std::char_traits<char>, std::allocator<char>
> >>>::replace(std::__normal_iterator<char*, std::basic_string<char,
> >>std::char_traits<char>, std::allocator<char> > >,
> >>std::__normal_iterator<char*, std::basic_string<char,
> >>std::char_traits<char>, std::allocator<char> > >, unsigned, char)'
> >>collect2: ld returned 1 exit status
> >>
> >>If this isn't a cygwin-related problem I'll post to the gcc group,
however,
> >>I haven't seen mention of this kind of problem on there.
>
> CF> Sorry.  I can't offer any insight, especially without a test case, but
probably
> CF> not even then.
>
> CF> Maybe Egor might have an idea.
>
> Never seen this particular error. Dylan, maybe you can provide a
> testcase? You can also try to debug this error yourself by looking at
> files created with 'gcc -v -save-temps ...' and output of
> 'nm libstdc++.a'
>
> Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/